curl -X GET "https://parsagon.io/api/transcripts/v1/categories/2/search/?q=consumer&start_date=2026-05-07&end_date=2026-05-08" \
-H "Authorization: Token YOUR_API_KEY_HERE"
{
"results": [
{
"id": 5103756,
"title": "Committee on Civil Liberties, Justice and Home Affairs Ordinary meeting",
"scheduled_time": "2026-05-07T07:30:00Z",
"url": "https://multimedia.europarl.europa.eu/en/webstreaming/committee-on-civil-liberties-justice-and-home-affairs-ordinary-meeting_20260507-0900-COMMITTEE-LIBE",
"transcript_status": "FINISHED",
"headline": "... caps requirements through targeted amendments of the GDPR record-keeping obligation, the digital omnibus with targeted amendments to the GDPR. And furthermore, I initiated my first three implementation dialogues on the simplification of **consumer** law in the digital environment the GDPR, and only yesterday on the revision of the **Consumer** Protection Cooperation Regulation. So thank you, Chair and Honourable Members, for your attention, and thank you for your continued support ..."
},
...
]
}
Endpoints
Search transcripts
Search through transcripts within a specified category and date range.
curl -X GET "https://parsagon.io/api/transcripts/v1/categories/2/search/?q=consumer&start_date=2026-05-07&end_date=2026-05-08" \
-H "Authorization: Token YOUR_API_KEY_HERE"
{
"results": [
{
"id": 5103756,
"title": "Committee on Civil Liberties, Justice and Home Affairs Ordinary meeting",
"scheduled_time": "2026-05-07T07:30:00Z",
"url": "https://multimedia.europarl.europa.eu/en/webstreaming/committee-on-civil-liberties-justice-and-home-affairs-ordinary-meeting_20260507-0900-COMMITTEE-LIBE",
"transcript_status": "FINISHED",
"headline": "... caps requirements through targeted amendments of the GDPR record-keeping obligation, the digital omnibus with targeted amendments to the GDPR. And furthermore, I initiated my first three implementation dialogues on the simplification of **consumer** law in the digital environment the GDPR, and only yesterday on the revision of the **Consumer** Protection Cooperation Regulation. So thank you, Chair and Honourable Members, for your attention, and thank you for your continued support ..."
},
...
]
}
The search runs over both completed and partial (in-progress) transcripts. Note that partial transcripts often lag livestreams by approximately 30 minutes or more.
Path parameters
string
required
The transcript category to search within.
Query parameters
string
required
Search query string. Supports standard web search syntax, including:
- Exact phrases — wrap in quotes (e.g.,
"phrase one") - Boolean operators — combine terms with
OR(e.g.,one OR two) - Excluded words — prefix with
-(e.g.,-phrase)
string
required
Start of the date range to search within (ISO 8601 format). The date range between
start_date and end_date must not exceed one week.string
required
End of the date range to search within (ISO 8601 format). The date range between
start_date and end_date must not exceed one week.Response
Returns a list of transcript summary objects matching the search criteria, with highlighted keyword matches.array
List of transcript summary objects matching the query.
Show Result fields
Show Result fields
string
Unique identifier for the transcript.
string
Title of the transcript.
string
Scheduled time of the event in ISO 8601 format.
string
URL of the original audio or video source.
string
Current status of the transcript.
string
Excerpt from the transcript with matching search terms highlighted in bold.
curl -X GET "https://parsagon.io/api/transcripts/v1/categories/2/search/?q=consumer&start_date=2026-05-07&end_date=2026-05-08" \
-H "Authorization: Token YOUR_API_KEY_HERE"
{
"results": [
{
"id": 5103756,
"title": "Committee on Civil Liberties, Justice and Home Affairs Ordinary meeting",
"scheduled_time": "2026-05-07T07:30:00Z",
"url": "https://multimedia.europarl.europa.eu/en/webstreaming/committee-on-civil-liberties-justice-and-home-affairs-ordinary-meeting_20260507-0900-COMMITTEE-LIBE",
"transcript_status": "FINISHED",
"headline": "... caps requirements through targeted amendments of the GDPR record-keeping obligation, the digital omnibus with targeted amendments to the GDPR. And furthermore, I initiated my first three implementation dialogues on the simplification of **consumer** law in the digital environment the GDPR, and only yesterday on the revision of the **Consumer** Protection Cooperation Regulation. So thank you, Chair and Honourable Members, for your attention, and thank you for your continued support ..."
},
...
]
}